<html>
<head><title>Insert Text Field</title>
<style>
    <%include editor_dialog.css%>
</style>
</head>
<script>
var type, name, value, size, tab;
function initDialog() {
    type  = document.getElementById('password');
    name  = document.getElementById('name');
    value = document.getElementById('value');
    size  = document.getElementById('size');
    tab   = document.getElementById('tab');
}

function done() {       
    var html = '<input type=';
    html += (type.checked) ? '"password"' : '"text"';
    if (name.value)  
        html += ' name="'  + (name.value)  + '"';
    if (value.value) 
        html += ' value="' + (value.value) + '"';
    if (size.value)  
        html += ' size="'  + (size.value)  + '"';
    if (tab.value)   
        html += ' tabindex="' + (tab.value) + '"';
    html += '>';
    opener.dialogWindow.returnFunc(html);
    window.close();
}
</script>
<body class=body onload="initDialog()">
<table border=0 cellpadding=3 align=center>
    <tr class=body>
        <td>Name:</td><td><input size="30" id=name></td>
    </tr>
    <tr class=body>
        <td>Initial Value:</td><td><input size="30" id=value></td>
    </tr>
    <tr>
</table>
<br>
<table border=0 cellpadding=3 align=center>
    <tr class=body>
        <td>Width in characters:</td>
        <td><input id=size size=3></td>
        <td>Tab Order:</td>
        <td><input id=tab size=3></td>
    </tr>
    <tr class=body>
        <td>Password field:</td>
        <td><input id=password name=password type=radio value=yes>Yes</td>
        <td><input id=password name=password type=radio value=no checked>No</td>
        <td>&nbsp;</td>
    </tr>
</table>
<hr>
<div align=right>
    <button class=button onclick="done();">OK</button> &nbsp;
    <button class=button onclick="window.close();">Cancel</button>&nbsp;
</div>
</body>
</html>
